@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@100;400;700&display=swap');

* {
  box-sizing: border-box;
}

input, button {
  border: none;
  background: none;
  outline: none;
}

body {
  margin: 0 auto;
  height: 100vh;
  font-family: 'Roboto', sans-serif;

  .background-login {
    position: absolute;
    background-image: url("img/office.jpg");
    background-size: cover;
    height: 100%;
    width: 100%;
  }

  .content {
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    height: 100%;
  }

  .footer {
    justify-content: end;
  }

  .form {
    z-index: 2;
    display: flex;
    padding: 3.5rem;
    background: white;
    height: 100%;
    align-self: flex-end;
    order: 3;
    width: auto;
    justify-content: center;

    .logo-content {
      position: relative;
      bottom: 4rem;
      align-self: center;
      text-align: center;

      .logo {
        height: 5rem;
        width: 5rem;
        border-radius: 50%;
      }

      .logo-title {
        margin: 0;
        font-weight: normal;
      }
    }

    .title {
      font-size: 1.5rem;
    }

    .input {
      display: block;
      width: 25rem;
    }

    .button {
      margin-top: .5rem;
    }

    .control {
      margin: .5rem 0 0 0;
    }
  }

  .input {
    display: inline-block;
    border: 1.5px solid #818181;
    padding: 0.4rem;
    border-radius: 4%;
    transition: ease-in-out 150ms;
    background: #ffffff;

    &:focus {
      border-color: #7ebccf;
    }
  }

  .button {
    padding: .5rem;
    background: #d6d6d6;
    cursor: pointer;
    transition: ease-in-out 150ms;
    border: 2px solid #c2c2c2;

    &:hover {
      background: #c2c2c2;
    }

    &.success {
      background: #7fd483;
      border-color: #6bbe6f;

      &:hover {
        background: #6bbe6f;
      }
    }
  }

  .wrap {
    display: flex;
    height: 100%;

    .menu {
      height: 100%;
      width: auto;
      background: linear-gradient(#7ebb72, #6cb8a2);

      .top {
        display: flex;
        flex-direction: column;
        padding: 2rem;
        background: rgba(0, 0, 0, 0.1);
        align-items: center;

        color: white;

        .controls {
          a {
            text-decoration: none;
            color: white;
            font-size: 1.5rem;

            &:hover {
              color: #d0d0d0;
            }
          }
        }
      }

      .menuBtns {
        a {
          text-decoration: none;
          color: black;

          .btn {
            padding: 1rem;
            text-align: center;
            background: rgba(255, 255, 255, 0.05);
            cursor:pointer;
            transition: ease-in-out 150ms;

            &:hover {
              background: rgba(255, 255, 255, 0.2);
            }
          }
        }
      }
    }

    .wrapContent {
      padding: 1.5rem;
      flex-grow: 1;

      h1 {
        font-weight: normal;
        color: #555555;
      }
    }
  }
}